View Issue Details

IDProjectCategoryView StatusLast Update
0004846Talerdocumentationpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004846: Bank testcases
DescriptionIt should be documented somewhere (README, deployment page on docs.taler.net, ..)
how to run the bank's testcases - they are 'unit' testcases, though.

Along with this issue, it should also be considered to improve/expand them as well.
TagsNo tags attached.

Activities

Christian Grothoff

2017-01-11 14:53

manager   ~0011622

The testcases should be run by compiling the bank and typing "make check", at least that's the GNU standard we should try to stick to...

Marcello Stanisci

2017-02-26 14:45

manager   ~0011864

This issue was just forgotten. Bank's README does have instructions about
running the tests, and they are GNU-compliant too - you run them with 'make check'.

Issue History

Date Modified Username Field Change
2016-12-22 10:15 Marcello Stanisci New Issue
2017-01-11 14:53 Christian Grothoff Note Added: 0011622
2017-02-26 03:07 Christian Grothoff Assigned To => Marcello Stanisci
2017-02-26 03:07 Christian Grothoff Priority normal => high
2017-02-26 03:07 Christian Grothoff Severity minor => text
2017-02-26 03:07 Christian Grothoff Status new => assigned
2017-02-26 03:07 Christian Grothoff Product Version => SVN HEAD
2017-02-26 03:07 Christian Grothoff Target Version => 0.3
2017-02-26 14:45 Marcello Stanisci Status assigned => resolved
2017-02-26 14:45 Marcello Stanisci Resolution open => fixed
2017-02-26 14:45 Marcello Stanisci Note Added: 0011864
2017-02-26 15:33 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed